import React from 'react';
import ReactNavigationCardStackTransitioner from 'react-navigation/src/views/CardStackTransitioner';
import CardStack from './card-stack';

class CardStackTransitioner extends ReactNavigationCardStackTransitioner {
  _render = (props) => {
    const {
      screenProps,
      headerMode,
      mode,
      router,
      cardStyle,
      transitionConfig,
      style,
    } = this.props;
    return (
      <CardStack
        screenProps={screenProps}
        headerMode={headerMode}
        mode={mode}
        router={router}
        cardStyle={cardStyle}
        transitionConfig={transitionConfig}
        style={style}
        {...props}
      />
    );
  }
}

export default CardStackTransitioner;
